<?php
if( isset( $a ) && is_numeric( $a ) ){
	$aData = $oDB->executeSQL( 'SELECT `sName`, `sNameTitle` FROM `' . $oDB->throwTableName( DB_PAGES ) . '` WHERE `iPage` = ' . intval( $a ), true, DataBase::SINGLE_RECORD );
	if( isset( $aData ) ){
		$sTitle = strip_tags( ( !empty( $aData['sNameTitle'] ) ? $aData['sNameTitle'] : $aData['sName'] ) . ' - ' );
		$oTpl->assign( 'sTitle', $sTitle );
		$aPage = $oPage->throwSubpagesForRss( $a );
		$oTpl->assign( 'aPage', $aPage );
		header( 'Content-Type: text/xml' );
		echo $oTpl->parse( 'rss.tpl' );
		exit;
	}
}
?>